Energia

Serial

## flush()

### Description

Flushes the buffer of incoming serial data. Any call to Serial.read() or Serial.available() will return only data received after all the most recent call to Serial.flush().

Serial.flush() waits for outgoing data to transmit before clearing the buffer contents.

flush() inherits from the Stream utility class.

### Syntax

Serial.flush()

### Parameters

none

### Returns

nothing

#### See also

- Serial.read()
- Serial.available()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes